Falló la installation: Argumento no válido: extensión iOS

https://imgur.com/vFn0S7g

Hola tios,

Estoy a punto de desarrollar el objective de la aplicación de reloj del proyecto existente. Encontré un extraño error al terminar la compilation que no me permite ejecutar la aplicación de reloj correctamente. Aquí está la captura de pantalla adjunta.

Ambiente

  • OSX 10.10
  • XCode 6.2 Beta
  • Simulador iPhone 6 iOS 8.2

Cuando bash crear un nuevo proyecto de aplicación de reloj y probar la aplicación de demostración Lister, funcionan bien. Entonces sospecho que hay algo mal en mi proyecto actual, pero no estoy seguro de qué, dado que el post de error no es realmente explicativo. Agradezco cualquier ventaja o ayuda dada, gracias por su time.

EDITAR : Después de pocas investigaciones, las extensiones no funcionan tan bien.

Solutions Collecting From Web of "Falló la installation: Argumento no válido: extensión iOS"

Tuve el mismo problema. Esta secuencia me ayudó:

A Xcode no le gusta cuando tiene un directory referencedo llamado 'Recursos' dentro de su package de resources (consulte timrex )

1) Eliminar el directory 'Recursos' del tree de su proyecto;

2) Restablecer el contenido y la configuration en el simulador de iPhone;

3) Presione Mayús + Cmd + Alt + K y click 'Limpiar' o Mayús + Cmd + K en la window xCode;

Compruebe si el identificador de package no está vacío en Info.plist

Después de 2 días de investigación, he encontrado la respuesta que creo que es un error xcode.

Básicamente, esto se debe a tener un nombre de compilation diferente en la configuration de compilation de XCode. Hacerlos uniformes debería resolver el problema. Como se muestra aquí https://devforums.apple.com/message/1047770#1047770

Espero que esto ayude a cualquiera a topar con esta pregunta.

Obtuve mi error solucionado configurando el "Identificador de package de producto" del proyecto. Estaba vacío ya que mi proyecto fue generado por Gyp y no había establecido esa configuration particular en el proyecto.

Me encontré con el mismo problema y lo solucioné limpiando la memory del teléfono, ya que era demasiado bajo para instalar la aplicación.

Este problema se puede resolver simplemente vaciando la papelera.

Lo arreglé primero construyendo un dispositivo real, una vez que lo hice al less una vez, el simulador funcionó bien.

Lo puse en funcionamiento después de haber probado todo lo mencionado aquí, luego eliminé la aplicación del dispositivo y reinicié XCode. Esos dos pasos se mencionaron aquí: https://stackoverflow.com/a/28232381/1586277

No tengo idea de qué combinación de pasos lo solucionó.

Recibí este problema mientras ejecutaba el simulador. Reinicié el sistema y el problema desapareció.

Acabo de tener el mismo problema. Mi solución fue eliminar los files de proyecto temporales en la carpeta de datos derivados:

 rm -R /Users/username/Library/Developer/Xcode/DerivedData/projectname 

Tuve el mismo problema. Esto ayudó a https://forums.developer.apple.com/thread/7338

Comtesting que tu dispositivo conectado tenga suficiente espacio de almacenamiento. Tuve este problema cuando traté de ejecutar en mi iPhone. Limpié el almacenamiento eliminando un par de aplicaciones e intenté instalarlo nuevamente y luego funciona.

Verifique el almacenamiento de su dispositivo.

Tuve este problema y eliminar algunas aplicaciones fue la única solución para mí …

Podría solucionar este problema cambiando a un simulador diferente (iPhone6 ​​en lugar de iPhone6s) en mi caso).

Apague su teléfono y enciéndalo.

Ahora instale su aplicación, funciona para mí.

Si se ejecuta en el dispositivo, elimine la aplicación anterior. Funcionará .